Name:          kapptemplate
Version:       4.13.3
Release:       1mamba
Summary:       KDE4 shell script to easy the beginning of new apps
Group:         Graphical Desktop/Applications/Development
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.kde.org
Source:        ftp://ftp.kde.org/pub/kde/stable/%{version}/src/kapptemplate-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: kdelibs-devel
BuildRequires: libgcc
BuildRequires: libqt4-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: automoc4
BuildRequires: cmake
Requires:      kdelibs%{?_kde4_version: >= %{_kde4_version}}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
KDE4 shell script to easy the beginning of new apps. This package is part of KDE4.

%debug_package

%prep
%setup -q

%build
%cmake_kde4 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
touch --no-create %{_kde4_icondir}/hicolor >/dev/null 2>&1
exit 0

%posttrans
update-desktop-database -q >/dev/null 2>&1
update-mime-database %{_kde4_mimedir} >/dev/null 2>&1
gtk-update-icon-cache %{_kde4_icondir}/hicolor >/dev/null 2>&1
exit 0

%postun
if [ $1 -eq 0 ]; then
   update-desktop-database -q >/dev/null 2>&1
   update-mime-database %{_kde4_mimedir} >/dev/null 2>&1
   touch --no-create %{_kde4_icondir}/hicolor >/dev/null 2>&1
   gtk-update-icon-cache %{_kde4_icondir}/hicolor >/dev/null 2>&1
fi
exit 0

%files
%defattr(-,root,root)
%{_kde4_bindir}/kapptemplate
%{_kde4_xdgappsdir}/kapptemplate.desktop
%dir %{_kde4_datadir}/kdevappwizard
%dir %{_kde4_datadir}/kdevappwizard/template_previews
%{_kde4_datadir}/kdevappwizard/template_previews/*
%dir %{_kde4_datadir}/kdevappwizard/templates
%{_kde4_datadir}/kdevappwizard/templates/*
%{_kde4_kcfgdir}/kapptemplate.kcfg
%doc %lang(en) %{_kde4_htmldir}/en/kapptemplate/common
%doc %lang(en) %{_kde4_htmldir}/en/kapptemplate/first-page.png
%doc %lang(en) %{_kde4_htmldir}/en/kapptemplate/fourth-page.png
%doc %lang(en) %{_kde4_htmldir}/en/kapptemplate/index.cache.bz2
%doc %lang(en) %{_kde4_htmldir}/en/kapptemplate/index.docbook
%doc %lang(en) %{_kde4_htmldir}/en/kapptemplate/kapp4.png
%doc %lang(en) %{_kde4_htmldir}/en/kapptemplate/kderubyapp.png
%doc %lang(en) %{_kde4_htmldir}/en/kapptemplate/kpartapp.png
%doc %lang(en) %{_kde4_htmldir}/en/kapptemplate/plasma-applet.png
%doc %lang(en) %{_kde4_htmldir}/en/kapptemplate/pykde4.png
%doc %lang(en) %{_kde4_htmldir}/en/kapptemplate/pyqt4app.png
%doc %lang(en) %{_kde4_htmldir}/en/kapptemplate/second-page.png
%doc %lang(en) %{_kde4_htmldir}/en/kapptemplate/third-page.png
%{_kde4_icondir}/hicolor/*/apps/kapptemplate.png
%doc COPYING COPYING.DOC

%changelog
* Wed Jul 16 2014 Automatic Build System <autodist@mambasoft.it> 4.13.3-1mamba
- automatic version update by autodist

* Fri Jun 13 2014 Automatic Build System <autodist@mambasoft.it> 4.13.2-1mamba
- automatic version update by autodist

* Mon May 19 2014 Automatic Build System <autodist@mambasoft.it> 4.13.1-1mamba
- automatic version update by autodist

* Thu Apr 17 2014 Automatic Build System <autodist@mambasoft.it> 4.13.0-1mamba
- automatic version update by autodist

* Thu Apr 03 2014 Automatic Build System <autodist@mambasoft.it> 4.12.4-1mamba
- automatic version update by autodist

* Wed Mar 05 2014 Automatic Build System <autodist@mambasoft.it> 4.12.3-1mamba
- automatic version update by autodist

* Wed Feb 05 2014 Automatic Build System <autodist@mambasoft.it> 4.12.2-1mamba
- automatic version update by autodist

* Tue Jan 14 2014 Automatic Build System <autodist@mambasoft.it> 4.12.1-1mamba
- automatic version update by autodist

* Thu Dec 19 2013 Automatic Build System <autodist@mambasoft.it> 4.12.0-1mamba
- automatic version update by autodist

* Thu Dec 05 2013 Automatic Build System <autodist@mambasoft.it> 4.11.4-1mamba
- automatic version update by autodist

* Wed Nov 06 2013 Automatic Build System <autodist@mambasoft.it> 4.11.3-1mamba
- automatic version update by autodist

* Wed Oct 02 2013 Automatic Build System <autodist@mambasoft.it> 4.11.2-1mamba
- automatic version update by autodist

* Wed Sep 04 2013 Automatic Build System <autodist@mambasoft.it> 4.11.1-1mamba
- automatic version update by autodist

* Sun Sep 01 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 4.11.0-1mamba
- package created by silvan using the webbuild interface
